## org.apache.felix.httplite.server
Class ResourceHandler

    java.lang.Object
      org.apache.felix.httplite.server.ResourceHandler

All Implemented Interfaces:
  ServiceRegistrationHandler

    public class ResourceHandler

extends java.lang.Object
implements ServiceRegistrationHandler

Handles resource processing. Encapsulates the logic in OSGI Service Platform Release 4 Compendium Version 4.2 Section 102.3

Constructor Summary
`ResourceHandler(HttpServletRequestImpl req, HttpServletResponseImpl res, ServiceRegistration resource, Logger logger)`

Method Summary
`void` `handle(boolean close)` Process the request against the registered provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceHandler

    public ResourceHandler(HttpServletRequestImpl req,
                           HttpServletResponseImpl res,
                           ServiceRegistration resource,
                           Logger logger)

Parameters:
  `req` - HttpRequest
  `res` - HttpResponse
  `resource` - ServiceRegistration
  `logger` - Log reference

Method Detail

### handle

    public void handle(boolean close)
                throws java.io.IOException

  Description copied from interface: `ServiceRegistrationHandler`
  Process the request against the registered provider.

  Specified by:
    `handle` in interface `ServiceRegistrationHandler`
  Parameters:
    `close` - if true close connection after handling request
  Throws:
    `java.io.IOException` - on I/O error

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.